import { keepAlive } from "~/utils/cache"
export default function(pageName, keepAlivePage){
    return {
        beforeRouteLeave(to, from, next){
            if (keepAlivePage.indexOf(to.path) != -1) {
    
            } else {
                keepAlive(pageName, false);
            }
            next()
        },
        beforeRouteEnter(to, from, next){
            keepAlive(pageName, true);
            next() 
        }
    };
}