var configs = {
    showConfirmBtn: false,
    fields: [
        {
            id: "admissionTime",
            type: 'date',
            minDate: new Date(1990, 0, 1),
            vanCfg: {
                clearable: true,
                required: true,
                label: "入院时间",
                'minDate': new Date(1990, 0, 1),
                placeholder: "请选择",
            },
        },
        {
            id: "admittingDiagnosisName",
            type: 'text',
            vanCfg: {
                clearable: true,
                required: true,
                label: "入院诊断",
                placeholder: "请选择",
                readonly: true,
                'is-link': true
            },
        },
        {
            id: "dischargeTime",
            type: 'date',
            minDate: new Date(1990, 0, 1),
            vanCfg: {
                clearable: true,
                required: true,
                label: "出院时间",
                placeholder: "请选择",
                readonly: true,
            },
        },
        {
            id: "dischargeDiagnosisName",
            type: 'text',
            vanCfg: {
                clearable: true,
                required: true,
                label: "出院诊断",
                placeholder: "请选择",
                readonly: true,
                'is-link': true
            },
        },
        {
            id: "advice",
            type: 'textarea',
            vanCfg: {
                clearable: true,
                required: true,
                label: "医嘱小结",
                placeholder: "请输入..",
                rows: "4"
            },
        },
    ]
}

export {configs}