import NavLayout from "@/components/layout/NavLayout"

const device = [
    {
        path: '/machine',
        name: 'machine',
        component: NavLayout,
        redirect: "/machine/index",
        children: [
            {
                path: "/machine/index",
                name: "machineIndex",
                component: () => import('@/views/machine/index.vue'),
                meta: {
                    title: '',
                    hasBot: false,
                    hasTop: false
                }
            },
        ]
    },
]

export default device;